キャンペーン
GET https://notifyc.com/api/campaigns/
curl --request GET \
--url 'https://notifyc.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:name, domain。 |
| is_enabled | オプション ブール値 | |
| domain_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:campaign_id, datetime, last_datetime, name, domain。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-05 21:38:42",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifyc.com/api/campaigns?page=1",
"last": "https://notifyc.com/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://notifyc.com/api/campaigns?page=1"
}
}
GET https://notifyc.com/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-05 21:38:42",
}
}
POST https://notifyc.com/api/campaigns
| パラメータ | 詳細 | 説明 |
|---|---|---|
| domain_id | オプション 整数 | - |
| name | 必須 文字列 | - |
| domain | 必須 文字列 | - |
| branding_name | オプション 文字列 | - |
| branding_url | オプション 文字列 | - |
| email_reports | オプション 配列 | 通知ハンドラーID |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://notifyc.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
--url 'https://notifyc.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
{
"data": {
"id": 1
}
}
POST https://notifyc.com/api/campaigns/{campaign_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| domain_id | オプション 整数 | - |
| name | オプション 文字列 | - |
| domain | オプション 文字列 | - |
| branding_name | オプション 文字列 | - |
| branding_url | オプション 文字列 | - |
| email_reports | オプション 配列 | 通知ハンドラーID |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://notifyc.com/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \